# Uses of Class
org.eclipse.mat.snapshot.PathsFromGCRootsTree

Packages that use PathsFromGCRootsTree
Package
Description
org.eclipse.mat.parser.internal.snapshot
Utilities for performing basic operations on the snapshot (not API).
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.

## Uses of PathsFromGCRootsTree in org.eclipse.mat.parser.internal.snapshot

Methods in org.eclipse.mat.parser.internal.snapshot that return PathsFromGCRootsTree
Modifier and Type
Method
Description
`PathsFromGCRootsTree`
PathsFromGCRootsTreeBuilder.`toPathsFromGCRootsTree()`

## Uses of PathsFromGCRootsTree in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that return PathsFromGCRootsTree
Modifier and Type
Method
Description
`PathsFromGCRootsTree`
PathsFromGCRootsTree.`getBranch(int objId)`
Get sub tree for a referencing object.
`PathsFromGCRootsTree`
IPathsFromGCRootsComputer.`getTree(Collection<int[]> paths)`
Helper method constructing a tree like data structure from the given paths.
Constructor parameters in org.eclipse.mat.snapshot with type arguments of type PathsFromGCRootsTree
Modifier
Constructor
Description
``
`PathsFromGCRootsTree(int ownId, HashMap<Integer,PathsFromGCRootsTree> objectInboundReferers, int[] objectIds)`